#define _GNU_SOURCE
#include <stdio.h>
#include <inttypes.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include <linux/rtc.h>
#include <time.h>
#include <sys/time.h>

void print_err ( char * error_name)
 {
  fprintf(stderr, "Error: %s! Exiting...\n", error_name );
 }

int main ( void )

 {

  struct tm brkttmp;
  time_t t_t_p_1 = 1000000;

  brkttmp.tm_gmtoff = -19800;
  brkttmp.tm_isdst = 0;
  brkttmp.tm_zone = "IST";

  if ( localtime_r (&t_t_p_1, &brkttmp) != &brkttmp ) { print_err("Unable to execute localtime_r"); exit (1); }

  printf("%s\n%s\n%s\n %ld %d %d %d", tzname[0], tzname[1], brkttmp.tm_zone,  brkttmp.tm_gmtoff, brkttmp.tm_wday, brkttmp.tm_yday, brkttmp.tm_isdst);

  return 0;

 }


