/* v-hwclock.h */

/*

Copyright Notice:

Copyright (C) 2013-2014 R Veera Kumar

This file is part of v-lnx-tools.

v-lnx-tools is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 3 of the License.

v-lnx-tools is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with v-lnx-tools.  If not, see <http://www.gnu.org/licenses/>.

See the COPYING file distributed together for license information.

See the AUTHOR file distributed together for authors information.

*/

#define _GNU_SOURCE
#include <stdio.h>
#include <inttypes.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include <linux/rtc.h>
#include <time.h>
#include <sys/time.h>

void usage (void);

void version (void);

void opt_err (void);

void opt_arg_err (void);

void file_open_err (void);

void parm_unknown_err (char *arg);

void ioctl_err (void);

void gettimeofday_err (void);

void settimeofday_err (void);

void print_err ( char * error_name);

#define DESC "v-hwclock - Linux Hardware Clock utility"
#define VERSION "0.1"
#define LICENSE "GNU GPL Version 3"

